<!doctype html >
<html lang="en" xmlns:th="http://thymeleaf.org">
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Detail Request Invited Speaker</title>
<head>
    <link rel="stylesheet" th:href="@{/css/sidebar.css}">
    <link rel="stylesheet" th:href="@{/assets/css/detail-request-penyelenggara.css}">

    <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>
<div th:replace="fragments/fragment.html :: side-bar-admin" />

<section class="content-sidebar-section">
    <div class="text">Request Invited Speaker Details</div>
    <br>
    <br>
    <div class="card-table stretch-card shadow-lg ">
        <main>
            <div style="padding-left: 52px; padding-right: 20px" class="row overflow-auto ">
                <div class="card-body main col-sm-6 ">
                    <ul>
                        <span class="detail-title font-weight-bold ">Email</span>
                        <p class="detail" th:text="${request.email}"> user@gmail.com </p>
                        <span class="detail-title font-weight-bold">Nama </span>
                        <p class="detail" th:text="${request.nama}"> Invited Guest 1 </p>
                        <span class="detail-title font-weight-bold">Peran</span>
                        <p class="detail" th:text="${request.peran}"> - </p>
                    </ul>
                </div>
                <div class="card-body main col-lg-20" style="margin: 0;" >
                    <ul>
                        <span class="detail-title font-weight-bold">Masa Aktif</span>
                        <p class="detail" th:text="${request.user == null}?'-' : ${request.user.masaBerlaku}"> - </p>
                        <span class="detail-title font-weight-bold">Status</span>
                        <p class="detail" th:text="${request.status}"> Waiting For Confirmation </p>
                    </ul>
                </div>
            </div>
            <div class="button-wrapper-section" th:if="${request.status == 'Waiting for Confirmation'}">
                <div class="button-action">
                    <div class="create-button">
                        <a class="button-primary mx-auto" th:href="@{/admin/dashboard/list-request-invited-speaker/detail/} + ${request.requestId} + @{/buat-akun}">Buat Akun</a>
                    </div>
                    <form th:action="@{/admin/dashboard/list-request-invited-speaker/detail/} + ${request.requestId}" method="POST">
                        <div class="reject-button">
                            <button class="button-primary mx-auto d-block" type="submit">Reject Account</button>
                        </div>
                    </form>
                </div>
                <div class="return-button">
                    <a class="button-secondary" th:href="@{/admin/dashboard/list-request-invited-speaker}">Back</a>
                </div>
            </div>
            <div style="gap: 24px;" class="button-wrapper-section" th:if="${request.status == 'Confirmed'}">
                <div class="delete-penyelenggara-button">
                    <button type="submit" class="button-primary mx-auto d-block">Delete Account</button>
                </div>
                <div class="return-button">
                    <a class="button-secondary" th:href="@{/admin/dashboard/list-request-invited-speaker}">Back</a>
                </div>
            </div>
            <div class="button-wrapper-section" th:if="${request.status == 'Declined'}">
                <div class="return-button">
                    <a class="button-secondary" th:href="@{/admin/dashboard/list-request-invited-speaker}">Back</a>
                </div>
            </div>

        </main>
    </div>
</section>

<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!");
        console.log(sidebar.classList);
        menuBtnChange();
    });

    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");
        }
    }
</script>
</body>

</html>